# Uses of Interface
org.eclipse.mat.snapshot.query.IHeapObjectArgument

Packages that use IHeapObjectArgument
Package
Description
org.eclipse.mat.hprof
Parser for HPROF dumps, just a parser extension, not an Application Programming Interface (API).
org.eclipse.mat.inspections
These are general queries.
org.eclipse.mat.inspections.collections
These are queries for Collection classes.
org.eclipse.mat.inspections.component
These are queries for whole components (class loaders and packages).
org.eclipse.mat.inspections.threads
These are queries for Threads.
org.eclipse.mat.internal.snapshot
Collects arguments for queries.
org.eclipse.mat.internal.snapshot.inspections
These are queries for dominator tree and paths to/from garbage collection roots.

## Uses of IHeapObjectArgument in org.eclipse.mat.hprof

Fields in org.eclipse.mat.hprof declared as IHeapObjectArgument
Modifier and Type
Field
Description
`IHeapObjectArgument`
ExportHprof.`objects`

## Uses of IHeapObjectArgument in org.eclipse.mat.inspections

Fields in org.eclipse.mat.inspections declared as IHeapObjectArgument
Modifier and Type
Field
Description
`IHeapObjectArgument`
ClassLoaderExplorerQuery.`objects`
`IHeapObjectArgument`
ClassReferrersQuery.`objects`
`IHeapObjectArgument`
CustomizedRetainedSetQuery.`objects`
`IHeapObjectArgument`
FindStringsQuery.`objects`
`IHeapObjectArgument`
GroupByValueQuery.`objects`
`IHeapObjectArgument`
HistogramQuery.`objects`
`IHeapObjectArgument`
ImmediateDominatorsQuery.`objects`
`IHeapObjectArgument`
ObjectListQuery.`objects`
`IHeapObjectArgument`
ReferenceLeakQuery.`objects`
`IHeapObjectArgument`
ReferenceQuery.`objects`
`IHeapObjectArgument`
RetainedSetQuery.`objects`

## Uses of IHeapObjectArgument in org.eclipse.mat.inspections.collections

Fields in org.eclipse.mat.inspections.collections declared as IHeapObjectArgument
Modifier and Type
Field
Description
`IHeapObjectArgument`
ArrayFillRatioQuery.`objects`
`IHeapObjectArgument`
ArraysBySizeQuery.`objects`
`IHeapObjectArgument`
CollectionFillRatioQuery.`objects`
`IHeapObjectArgument`
CollectionsBySizeQuery.`objects`
`IHeapObjectArgument`
HashEntriesQuery.`objects`
`IHeapObjectArgument`
MapCollisionRatioQuery.`objects`
`IHeapObjectArgument`
PrimitiveArraysWithAConstantValueQuery.`objects`

## Uses of IHeapObjectArgument in org.eclipse.mat.inspections.component

Fields in org.eclipse.mat.inspections.component declared as IHeapObjectArgument
Modifier and Type
Field
Description
`IHeapObjectArgument`
ComponentReportQuery.`objects`

## Uses of IHeapObjectArgument in org.eclipse.mat.inspections.threads

Fields in org.eclipse.mat.inspections.threads declared as IHeapObjectArgument
Modifier and Type
Field
Description
`IHeapObjectArgument`
ThreadOverviewQuery.`objects`
`IHeapObjectArgument`
ThreadInfoQuery.`threadIds`
`IHeapObjectArgument`
ThreadStackQuery.`threadIds`

## Uses of IHeapObjectArgument in org.eclipse.mat.internal.snapshot

Methods in org.eclipse.mat.internal.snapshot that return IHeapObjectArgument
Modifier and Type
Method
Description
`IHeapObjectArgument`
HeapObjectParamArgument.`create()`
Methods in org.eclipse.mat.internal.snapshot with parameters of type IHeapObjectArgument
Modifier and Type
Method
Description
`static final ArgumentFactory`
HeapObjectArgumentFactory.`build(ISnapshot snapshot, IHeapObjectArgument argument)`

## Uses of IHeapObjectArgument in org.eclipse.mat.internal.snapshot.inspections

Fields in org.eclipse.mat.internal.snapshot.inspections declared as IHeapObjectArgument
Modifier and Type
Field
Description
`IHeapObjectArgument`
MultiplePath2GCRootsQuery.`objects`
`IHeapObjectArgument`
ShowInDominatorQuery.`objects`